#!/bin/bash
DATE_TAG=$(date +%Y)-$(date +%m)-$(date +%d)_$(date +%H)-$(date +%M)-$(date +%S)
NEXTCLOUD_VER="24"
REGISTRY="code.balsillie.net"
ORG="containers"
IMAGE="nextcloud-supervisord"
IMAGE_FULL="$REGISTRY/$ORG/$IMAGE"
docker build --pull -f ./Dockerfile --build-arg NEXTCLOUD_VER=$NEXTCLOUD_VER -t "$IMAGE_FULL:$NEXTCLOUD_VER" -t "$IMAGE_FULL:$DATE_TAG" .
docker push -a "$IMAGE_FULL"

